#pragma once

#include <vector>
#include <memory>

class MarkdownElement;

class MarkdownDocument
{
public:
    void addElement(std::unique_ptr<MarkdownElement> element);

    std::size_t getNumElements() const;

    MarkdownElement* getElement(std::size_t idx) const;

private:
    std::vector<std::unique_ptr<MarkdownElement> > mElements;
};


