#include "MarkdownDocument.h"

#include "MarkdownElement.h"

void MarkdownDocument::addElement(std::unique_ptr<MarkdownElement> element)
{
    mElements.push_back(std::move(element));
}

std::size_t MarkdownDocument::getNumElements() const
{
    return mElements.size();
}

MarkdownElement* MarkdownDocument::getElement(std::size_t idx) const
{
    return mElements[idx].get();
}
